TTF_SetFontDirection(3)

NAME
TTF_SetFontDirection - Set the direction to be used for text shaping by a font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetFontDirection(TTF_Font *font, TTF_Direction direction);

DESCRIPTION
This function only supports left-to-right text shaping if SDL_ttf was not built with HarfBuzz support.

This updates any TTF_Text
 objects using this font.

FUNCTION PARAMETERS

font
    the font to modify.

direction
    the new direction for text to flow.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.